package com.ruoyi.bst.refund.domain;

import java.time.LocalDate;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RefundQuery extends RefundVO {
    
    @ApiModelProperty("精准退款单号")
    private String eqNo;

    @ApiModelProperty("退款状态列表")
    private List<String> statusList;

    @ApiModelProperty("退款创建日期范围")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("退款日期")
    private LocalDate createDate;

    @ApiModelProperty("支付业务类型列表")
    private List<String> payBstTypes;

}
