package com.ruoyi.bst.area.domain.vo;

import com.ruoyi.bst.areaSub.domain.AreaSubVO;

import lombok.Data;

/**
 * 定位所属区域信息
 */
@Data
public class LocationAreaVO {

    // 是否在运营区内
    private Boolean isInArea;

    // 是否在运营区最小内边界
    private Boolean isInAreaMin;

    // 是否在运营区最大外边界
    private Boolean isInAreaMax;
    
    // 是否在禁行区内
    private Boolean isInNoRidingArea;

    // 位于的禁行区
    private AreaSubVO inNoRidingArea;

    // 是否靠近禁行区
    private Boolean isNearNoRidingArea;

    // 靠近的禁行区
    private AreaSubVO nearNoRidingArea;
}
