package com.ruoyi.bst.device.domain.vo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import lombok.Data;

@Data
public class DeviceCacheInfo {

    // 设备mac
    private String mac;

    // 设备在线状态
    private String onlineStatus;

    // 电压
    private BigDecimal voltage;

    // 信号强度
    private Integer signalStrength;

    // 电门状态
    private String quality;

    // 卫星数量
    private Integer satellites;

    // 物联网状态
    private String iotStatus;

    // 经度
    private BigDecimal longitude;

    // 纬度
    private BigDecimal latitude;

    // 剩余电量
    private BigDecimal remainingPower;

    // 最近更新时间
    private LocalDateTime lastTime;

    // 最后定位时间
    private LocalDateTime lastLocationTime;

    // 软件版本
    private String softwareVersion;

    // 最后在线时间
    private LocalDateTime lastOnlineTime;

    // 定位类型
    private String locationType;

}
