package com.ruoyi.bst.pay.service;

import java.util.List;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.channel.domain.ChannelVO;
import com.ruoyi.bst.channel.domain.vo.ChannelPayVO;
import com.ruoyi.bst.creditUser.domain.CreditUserVO;
import com.ruoyi.bst.userApp.domain.UserAppVO;

public interface PayValidator {
    
    /**
     * 支付校验
     * @param app 应用
     * @param channel 渠道
     * @param userApp 用户应用
     * @param channelPayList 可用渠道列表   
     * @param creditUser 挂账用户
     */
    void checkPay(AppVO app, ChannelVO channel, UserAppVO userApp, List<ChannelPayVO> channelPayList, CreditUserVO creditUser);
    
}
