package com.ruoyi.bst.vipOrder.domain.bo;

import java.util.List;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.area.domain.AreaVO;
import com.ruoyi.bst.areaJoin.domain.AreaJoinVO;
import com.ruoyi.bst.channel.domain.ChannelVO;
import com.ruoyi.bst.channel.domain.vo.ChannelPayVO;
import com.ruoyi.bst.userApp.domain.UserAppVO;
import com.ruoyi.bst.vip.domain.VipVO;
import com.ruoyi.bst.vipOrder.domain.VipOrder;
import com.ruoyi.bst.vipOrder.domain.dto.VipOrderCreateDTO;
import com.ruoyi.common.core.domain.vo.UserVO;

import lombok.Data;

@Data
public class VipOrderCreateBO {
    // 请求参数
    private VipOrderCreateDTO dto;
    
    // 卡券信息
    private VipVO vip;

    // 用户信息
    private UserVO user;

    // 支付渠道信息
    private ChannelVO channel;

    // APP信息
    private AppVO app;

    // 运营区信息
    private AreaVO area;

    // 运营区合伙人信息
    private List<AreaJoinVO> partners;

    // 用户APP信息
    private UserAppVO userApp;

    // 生成的订单信息
    private VipOrder order;

    // 渠道支付列表
    private List<ChannelPayVO> channelPayList;
    
}
